Security & Firewalls

ID #1347 Tripwire: "Report may be corrupt"

Problem:

Der Aufruf von tripwire --update schlägt auf einmal fehl:

Interactive Update failed.
### Error: Report file could not be parsed.  Report may be corrupt.
### Exiting...

Lösung:

Unter Debian wurde es vor ein paar Tagen durch ein Update der locales ausgelöst obwohl der Code nicht wirklich geändert wurde (de-UTF8).
Wir lösen das Problem, indem wir für Tripwire kurz in den ASCII-Modus umschalten:

env LANG=C tripwire --update

Kleiner Tipp:

Wer mit einem Report-File arbeitet (also nicht tripwire --check --interaktiv kann folgendes Script nutzen:
twupdate

#!/bin/sh

#Report-Verzeichnis einstellen:
TWPATH=/var/lib/tripwire/report
TRIPWIRE=/usr/sbin/tripwire

cd /tmp
LASTFILE=`ls -t $TWPATH | head -n 1`
/usr/bin/env LANG=C $TRIPWIRE --update -r $TWPATH/$LASTFILE

 

sozial Bookmarking
Bookmarken bei YIGG Bookmarken bei Mister-Wong Bookmarken bei Icio Bookmarken bei del.icio.us Bookmarken bei Technorati Bookmarken bei Furl Bookmarken bei Spurl Bookmarken bei Yahoo Bookmarken bei Google

huschi, zuletzt 2009-01-16 08:11     Artikel ausdrucken Artikel weiterempfehlen Als PDF-Datei anzeigen

Dieser Inhalt ist unter der Creative-Commons Lizenz lizensiert.

Probleme bitte im Server-Support-Forum diskutieren.

überflüssig 1 2 3 4 5 wertvoll  
Durchschnittliche Bewertung:   5 von 5 (4 Bewertungen)

Artikel kommentieren